<template name="GeneralConfiguration">
  <div>
    <h1>General configuration</h1>
    <button type="button"  name="Reset configuration" data-action="reset-configuration">Reset configuration</button>
    {{> VATConfiguration}}
    {{> DefaultMarginConfiguration}}
    {{> AddressConfiguration}}
    {{> DeliveryFeesConfiguration}}
  </div>
</template>

<template name="VATConfiguration">
  <div>
    <h2>Configuration of VAT</h2>
    <p>
      VAT: <input type="text" data-action="configure-VAT" value="{{information.vat}}%">
    </p>
  </div>
</template>

<template name="DefaultMarginConfiguration">
  <div>
    <h2>
      Configuration of the default margin
    </h2>
    <p>
      Default margin: <input type="text" data-action="configure-default-margin" value="{{information.defaultMargin}}%">
    </p>
  </div>
</template>

<template name="AddressConfiguration">
  <div>
    <h2>
      Address of infoRshop
    </h2>
    <p>
      Street: <input type="text" data-action="configure-default-sreet" value="{{information.street}}"><br>
      Post code: <input type="textrea" data-action="configure-default-post-code" value="{{information.postCode}}"><br>
      city: <input type="text" data-action="configure-default-city" value="{{information.city}}"><br>
      country: <input type="text" data-action="configure-default-country" value="{{information.country}}"><br>
    </p>
  </div>
</template>

<template name="DeliveryFeesConfiguration">
  <div>
    <h2>Delivery fees</h2>
    {{#each sortedDeliveryFees}}
      {{> DeliveryFeeLine}}
    {{/each}}
  </div>
  <form data-action="add-delivery-fee" method="post">
    <p>
      <label>Delivery fee after</label>
      <input type="number" name="distance" value="0">
      <label>km : </label>
      <input type="number" name="fee" value="0">
      <input type="submit" value="Add delivery fee">
    </p>
  </form>
</template>

<template name="DeliveryFeeLine">
  <p>
    <label>
      Delivery fee after {{ minimumDistance }}km :
    </label>
    <input type="number" data-action="update-delivery-fee" value="{{ fee }}">
    <button type="button" name="remove" data-action="remove-delivery-fee">&times;</button>
  </p>
</template>
